Buteo::TransportTracker Class Reference

Class for tracking transport states. More...

`#include <TransportTracker.h>`

Inheritance diagram for Buteo::TransportTracker:

## Signals

void | connectivityStateChanged (Sync::ConnectivityType aType, bool aState)
| Signal emitted when a connectivity state changes.
void | networkStateChanged (bool aState, Sync::InternetConnectionType aType)
| Signal emitted when a n/w state changes.
void | sessionConnected ()
| Signal emitted when a network session is successfully opened.
void | sessionError ()
| Signal emitted when opening a network session fails.

## Public Member Functions

| TransportTracker (QObject *aParent=0)
| Constructor.
virtual | ~TransportTracker ()
| Destructor.
bool | isConnectivityAvailable (Sync::ConnectivityType aType) const
| Checks the state of the given connectivity type.

## Detailed Description

Class for tracking transport states.

USB state is tracked with HAL, BT with Context Framework and Internet states with Buteo::NetworkManager.

## Constructor & Destructor Documentation

## TransportTracker()

TransportTracker::TransportTracker | ( | QObject * | aParent = 0 | ) |

Constructor.

Parameters

  aParent | Parent object

## Member Function Documentation

## connectivityStateChanged

void Buteo::TransportTracker::connectivityStateChanged | ( | Sync::ConnectivityType | aType,
|  | bool | aState )

signal

Signal emitted when a connectivity state changes.

Parameters

  aType | Connectivity type whose state has changed
  aState | New state. True if available, false if not.

## isConnectivityAvailable()

bool TransportTracker::isConnectivityAvailable | ( | Sync::ConnectivityType | aType | ) | const

Checks the state of the given connectivity type.

Parameters

  aType | Connectivity type

Returns
  True if available, false if not

## networkStateChanged

void Buteo::TransportTracker::networkStateChanged | ( | bool | aState,
|  | Sync::InternetConnectionType | aType )

signal

Signal emitted when a n/w state changes.

Parameters

  aState | New state. True if available, false if not.
  aType | Connection type. The type of connetcion with the Internet.

The documentation for this class was generated from the following files:

- TransportTracker.h
- TransportTracker.cpp